> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Account Priorities

> Updates the priorities of B2B accounts. The Priority for blacklisted accounts will be set as -1.



## OpenAPI

````yaml /openapi/openapi_customer.json put /commerce/customer/b2baccounts/priority/update
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CUSTOMER">
                <h2>CUSTOMER</h2>
                <p>The Customer API manages a customer's information, including their billing and shipping address
                    information,
                    contact information, order history, lifetime value, and more. It allows for customers to be grouped into
                    sets
                    to control the specific sites they can access using the same login credentials, as well as supports the
                    B2B
                    commerce feature that includes a hierarchy of customer accounts. For more information about customer management and the Unified Commerce Admin UI, see the <a href="/pages/b2c">general</a> and <a href="/pages/b2b">B2B</a> customers guides.</p>
                <p>Use the <strong>B2B</strong> and <strong>Customer Accounts</strong> resources to manage the components of shopper accounts, including
                    attributes, contact information, company notes, and groups associated with the customer account.</p>
                <p>Use the <strong>Address Validation</strong> resource to validate addresses associated with a customer account contact.</p>
                <p><strong>Customer Attributes</strong> are custom attributes that you can apply to customer accounts to add further
                    definition for special uses, such as marketing campaigns, or discounts. Refer to the <a href="/pages/customer-attributes">Customer
                        Attributes user guide</a> for more information.</p>
                <p>Use the <strong>Customer Credits</strong> resource to manage the store credit associated with a customer account. Store
                    credit can represent a static amount the customer can redeem at any of the tenant's sites, or a gift
                    card registered for a customer account. At this time, gift card functionality is reserved for future
                    use.</p>
                <p>Use the <strong>Customer Segments</strong> resource to manage groups of customers and target discounts for these segments. After a customer segment is defined, you can
                    associate any number of customer accounts with it. Meanwhile, the <strong>Customer Sets</strong> resource controls the specific sites your customers can access using the same
                    login credentials, as well as what My Account storefront customer information is shared between sites.</p>
                <p>Use the <strong>Visits</strong> resource to manage all visits a customer makes to a tenant's sites and measure the level
                    of transactions a customer performs during a unique visit for customer account analytics. Track customer
                    visits by site (including online and in-person interactions), the transactions a customer performs
                    during the visit, and the device type associated with the visit, if any.</p>
                <p>Use the <strong>Customer In-Stock Notification Subscription</strong> resource to manage the subscriptions customer
                    accounts use to send product notifications. This resource can send a notification when a product in a
                    catalog returns to a site's active inventory after it is out of stock, or when a new product becomes
                    available for the first time. (Not supported for bundled products.)</p>
                <p>Use the <strong>Storefront Auth Ticket</strong> resource to generate and refresh authentication tickets for
                    customer accounts.</p>
            </div>
  title: Customer
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/customer/b2baccounts/priority/update:
    put:
      tags:
        - B2BAccount
      summary: Update Account Priorities
      description: >-
        Updates the priorities of B2B accounts. The Priority for blacklisted
        accounts will be set as -1.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountPriorityModel'
        description: The account priorities to update.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountPriorityModel'
            text/json:
              schema:
                $ref: '#/components/schemas/AccountPriorityModel'
            text/plain:
              schema:
                $ref: '#/components/schemas/AccountPriorityModel'
          description: OK
components:
  schemas:
    AccountPriorityModel:
      description: Model used for B2b account priority
      properties:
        accountPriorities:
          description: List of account priorities.
          items:
            $ref: '#/components/schemas/AccountPriority'
          nullable: true
          type: array
        blackListedAccounts:
          description: >-
            List of blacklisted accounts which should not be considered for
            priority order release.
          items:
            format: int32
            type: integer
          nullable: true
          type: array
      type: object
    AccountPriority:
      description: Represents an account priority.
      properties:
        accounts:
          description: >-
            List of accounts against the priority. One account will have only 1
            priority assigned to it.
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        priority:
          description: The Priority or rank of accounts. Lowest value has highest priority.
          format: int32
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````